'''
Created: 2011-10-14
Author: Simon Wilshin

This module contains the various analysis plugins. At present there are plugin for 
finding velocities from mocap data, phases, stride cutting, marker set manipulations 
and finding center of mass positions. For more details see the individual elements of 
this module.
'''

from exceptions import *
from velocity import *
from simpleMarkerSet import *
from fishMarkerSet import *
from com import *
from phase import *
from rawphase import *
from velphase import *
from dutyFactor import *
from phStrideCutter import *
from beltVelocity import *
