
# Tests NOT written
from flatRegions import *
from fourier import *
from interpolation import *
from nanManipulations import *
from peakDetection import *
from phase import *
from buehlerClock import *
from geometry import *
from toroidalGeometry import *
from functions import *
from percentiles import *
from relativePhase import *
from gPInterpolater import *
from gaitPotentials import *
from protophases import *

# Tests written
from calculus import *
from filters import *
from quadratics import *
from randomIndexer import *
from splineInterpolationLimit import *
from stringManipulation import *
from utils import *
from youngTablaux import *
from plotting import *

def runTests():
    '''
    Run some tests, should print True if everything worked
    '''
    t1 = testCalculus()
    t2 = testFilters()
    t3 = testQuadratics()
    t4 = testRandomIndexer()
    t5 = testStringManipulation()
    t6 = testUtils()
    t7 = testyoungTablaux()
    testsPassed = t1 and t2 and t3 and t4 and t5 and t6 and t7
    if testsPassed:
        print "All tests in package utils PASSED."
    else:
        print "Some tests in package utils FAILED!"
    return(testsPassed)    

if __name__=='__main__':
    runTests()
