'''
Created on 4 Feb 2011

@author: swilshin
'''

def sanitise(str):
    str=str.replace(' ','')
    str=str.replace('\n','')
    return str    

def toStringWithZeros(n,l):
    t_n=str(n)
    while len(t_n)<l:
        t_n="0"+t_n
    return t_n

# Testing
def testSanitise():
    print "Testing sanitise"
    t1 = sanitise(" fish\nduck")=="fishduck"
    print "Test 0001 Passed: ", t1
    t2 = sanitise(" fishduck")=="fishduck"
    print "Test 0002 Passed: ", t2
    t3 = sanitise("fish\nduck")=="fishduck"
    print "Test 0003 Passed: ", t3
    t4 = sanitise("fishduck")=="fishduck"
    print "Test 0004 Passed: ", t4
    testsPassed=t1 and t2 and t3 and t4
    return(testsPassed)

def testStringManipulation():
    print "Testing string manipulation module, True indicates test passed."        
    t1=testSanitise()
    testsPassed=t1
    if testsPassed:
        print "All tests PASSED in module stringManipulations."
    else:
        print "Some tests FAILED in module stringManipulations!"
    return(testsPassed)

if __name__=='__main__':
    '''
    Run some tests, should print True if everything worked
    '''
    testStringManipulation()